#ifndef BFXSPI_H
#define BFXSPI_H

#include <vstypes.h>
#include <aucommon.h>
#include "simpledevice.h"

#ifndef ASM

extern const SIMPLE_DEVICE spiDevice;

const char *DevSpiIdentify(register __i0 void *self, char *buf, u_int16 bufsize);
ioresult DevSpiOpen(register __i0 SIMPLE_FILE *self, const char *name, const char *mode);
ioresult DevSpiClose(register __i0 SIMPLE_FILE *self);
IOCTL_RESULT (*Ioctl)(register __i0 SIMPLE_FILE *self, s_int16 request, IOCTL_ARGUMENT arg);
IOCTL_RESULT DevSpiIoctl(register __i0 SIMPLE_FILE *self, s_int16 request, IOCTL_ARGUMENT arg);
u_int16  DevSpiRead(register __i0 SIMPLE_FILE *self, u_int16 *buf, u_int16 destinationIndex, u_int16 bytes);
u_int16  DevSpiWrite(register __i0 SIMPLE_FILE *self, u_int16 *buf, u_int16 sourceIndex, u_int16 bytes);

#endif /* !ASM */

#endif /* !BFXSPI_H */
